it-swarm-ko.tech

Ubuntu 10.04에서 mod_wsgi를 최신 버전으로 업데이트하는 방법은 무엇입니까?

내 우분투 서버에는 다음 버전이 설치되어 있습니다.

# dpkg -l | grep wsgi
ii  libapache2-mod-wsgi  2.8-2ubuntu1  Python WSGI adapter module for Apache

최신 버전 3. 을 얻으려면 어떻게해야합니까?

4
webjunkie

다운로드하여 컴파일하십시오. 소스 패키지에는 꽤 좋은 README 가 있습니다. 하지만 build-essential 컴파일을위한 기본 시스템이라면 README

2
LassePoulsen

Sudo apt-get 빌드-뎁 libapache2-mod-wsgi

그런 다음 readme를 읽는 소스에서 빌드 할 수 있습니다

1
sagarchalise

데비안에는 libapache2-mod-wsgi 가 있지만 10.04 용 패키지가없는 libpython2.7에 의존하기 때문에 우분투 10.04에서는 작동하지 않습니다.

here 에서 소스를 다운로드했습니다.

$ wget http://modwsgi.googlecode.com/files/mod_wsgi-3.3.tar.gz

그런 다음

./configure
make
Sudo make install
1
David Xia

python 2.7)에 mod_wsgi를 설치했습니다. 2.7을 제거하고 3.6 (my python version)을 설치하려면 아래 명령을 실행했습니다.

Sudo apt-get install libapache2-mod-wsgi
0
esafresa

나를 위해 일한 것은 이것을 실행하고있었습니다.

Sudo aptitude install libapache2-mod-wsgi
0
user434136